# Interface TurnCommand

interface TurnCommand {
args ?: any[];
command : Command ;
cursor ?: number;
move ?: QueuedMove ;
skip ?: boolean;
targets ?: BattlerIndex [];
}

- Defined in src/battle.ts:30

#####
Index

### Properties

args?
command
cursor?
move?
skip?
targets?

## Properties

### `Optional` args

args?: any[]

- Defined in src/battle.ts:36

### command

command: Command

- Defined in src/battle.ts:31

### `Optional` cursor

cursor?: number

- Defined in src/battle.ts:32

### `Optional` move

move?: QueuedMove

- Defined in src/battle.ts:33

### `Optional` skip

skip?: boolean

- Defined in src/battle.ts:35

### `Optional` targets

targets?: BattlerIndex []

- Defined in src/battle.ts:34